import { Api } from "./src/Api";
import { EventTransport, Polling } from "./src/transports";
import { UpdateHandler } from "./src/UpdateHandler";
import { MessageBuilder } from "./src/MessageBuilder";
import * as Keyboard from "./src/KeyboardBuilder";
import * as Context from "./src/contexts";
export declare class Tg {
    private readonly token;
    constructor(token: string);
    eventTransport: EventTransport;
    readonly api: Api;
    readonly updates: UpdateHandler;
    createKeyboard: () => Keyboard.KeyboardBuilder;
    createInlineKeyboard: () => Keyboard.InlineKeyboardBuilder;
    startPolling(): Promise<void>;
}
export { Api as TgApi, Polling as TgPolling, UpdateHandler as TgUpdateHandler, MessageBuilder as TgMessageBuilder, Keyboard as TgKeyboard, Context as TgContext, };
